> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-fix-nav-issues.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Update CDC ClickPipes scaling

> **This endpoint is in beta.** API contract is stable, and no breaking changes are expected in the future. <br /><br /> Update scaling settings for DB ClickPipes.

The infrastructure is shared between all DB ClickPipes in the service, both for initial load and CDC. Scaling settings may take a few minutes to fully propagate.

For billing purposes, 2 CPU cores and 8 GB of RAM [correspond](https://clickhouse.com/docs/cloud/manage/billing/overview#clickpipes-for-postgres-cdc) to one compute unit. If your organization tier changes, DB ClickPipes will be [rescaled](https://clickhouse.com/docs/cloud/manage/billing/overview#compute) appropriately.

**This endpoint becomes available once at least one DB ClickPipe was provisioned.**



## OpenAPI

````yaml /_specs/cloud-openapi.json patch /v1/organizations/{organizationId}/services/{serviceId}/clickpipesCdcScaling
openapi: 3.0.1
info:
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
  contact:
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-299828
    email: support@clickhouse.com
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
paths:
  /v1/organizations/{organizationId}/services/{serviceId}/clickpipesCdcScaling:
    patch:
      tags:
        - ClickPipes
      summary: Update CDC ClickPipes scaling
      description: >-
        **This endpoint is in beta.** API contract is stable, and no breaking
        changes are expected in the future. <br /><br /> Update scaling settings
        for DB ClickPipes.


        The infrastructure is shared between all DB ClickPipes in the service,
        both for initial load and CDC. Scaling settings may take a few minutes
        to fully propagate.


        For billing purposes, 2 CPU cores and 8 GB of RAM
        [correspond](https://clickhouse.com/docs/cloud/manage/billing/overview#clickpipes-for-postgres-cdc)
        to one compute unit. If your organization tier changes, DB ClickPipes
        will be
        [rescaled](https://clickhouse.com/docs/cloud/manage/billing/overview#compute)
        appropriately.


        **This endpoint becomes available once at least one DB ClickPipe was
        provisioned.**
      parameters:
        - in: path
          name: organizationId
          description: ID of the organization that owns the service.
          required: true
          schema:
            type: string
            format: uuid
        - in: path
          name: serviceId
          description: ID of the service that owns the ClickPipe.
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ClickPipesCdcScalingPatchRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: number
                    description: HTTP status code.
                    example: 200
                  requestId:
                    type: string
                    description: Unique id assigned to every request. UUIDv4
                    format: uuid
                  result:
                    $ref: '#/components/schemas/ClickPipesCdcScaling'
        '400':
          description: >-
            The server cannot or will not process the request due to something
            that is perceived to be a client error.
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: number
                    description: HTTP status code.
                    example: 400
                  error:
                    type: string
                    description: Detailed error description.
components:
  schemas:
    ClickPipesCdcScalingPatchRequest:
      properties:
        replicaCpuMillicores:
          description: CPU in millicores for DB ClickPipes.
          type: integer
          minimum: 1000
          maximum: 24000
          multipleOf: 1000
          example: 2000
        replicaMemoryGb:
          description: Memory in GiB for DB ClickPipes. Must be 4× the CPU core count.
          type: number
          minimum: 4
          maximum: 96
          multipleOf: 4
          example: 8
    ClickPipesCdcScaling:
      properties:
        replicaCpuMillicores:
          description: CPU in millicores for DB ClickPipes.
          type: integer
          minimum: 1000
          maximum: 24000
          multipleOf: 1000
          example: 2000
        replicaMemoryGb:
          description: Memory in GiB for DB ClickPipes. Must be 4× the CPU core count.
          type: number
          minimum: 4
          maximum: 96
          multipleOf: 4
          example: 8
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: >-
        Use key ID and key secret obtained in ClickHouse Cloud console:
        https://clickhouse.com/docs/cloud/manage/openapi

````